ncurses_flash
ncurses_getch
Ncurses Functions
PHP Manual

# ncurses_flushinp

Flush keyboard input buffer

### Description

bool ncurses_flushinp ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Throws away any typeahead that has been typed and has not yet been read by your program.

### Return Values

Returns `FALSE` on success, otherwise `TRUE`.